MONGOC_GRIDFS_FILE_SET_CONTENT_TYPE(3)

NAME
mongoc_gridfs_file_set_content_type - mongoc_gridfs_file_set_content_type()

SYNOPSIS

        void
        mongoc_gridfs_file_set_content_type (mongoc_gridfs_file_t *file,
                                             const char *content_type);

PARAMETERS

    •   file: A mongoc_gridfs_file_t.

    •   str: A string containing the content type.

DESCRIPTION

Sets the content type for the gridfs file. This should be something like "text/plain".

You need to call mongoc_gridfs_file_save() to persist this change.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc